accountsservice (0.6.42-0ubuntu3) artful; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Use correct syntax when writing to ~/.pam_environment
      (LP: #1722151).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 09 Oct 2017 23:08:00 +0200

accountsservice (0.6.42-0ubuntu2) zesty; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make list of display language options include 'en' even if the
      English language pack is not installed (LP: #1665627).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sat, 18 Feb 2017 23:54:00 +0100

accountsservice (0.6.42-0ubuntu1) yakkety; urgency=medium

  * New upstream bugfix release.
    - allow a user to change his own data even if he's remote
    - add way to set password hint independent of password
    - conform to modern systemd library naming scheme
    - disable GVFS support in service, since it's not needed and has
      bad side effects
  * Drop patches applied in new version:
    - 0014-libsystemd.patch
    - change-own-data-inactive.patch
  * Add debian/patches/wtmp-fix-logout.patch:
    - Backport 0.6.43 commit to fix logout records when a user
      shuts down or restarts their computer (LP: #1443052)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 04 Oct 2016 09:04:41 -0400

accountsservice (0.6.40-2ubuntu15) yakkety; urgency=medium

  [ Laurent Bigonville ]
  *  Drop the -dbg package and rely on the automatically built -dbgsym one

  [ Jeremy Bicha ]
  * 0014-libsystemd.patch:
    - Backport patch to adapt to systemd 209, fixes missing "Switch User"
      functionality in GNOME Shell (LP: #1577049)
  * debian/control:
    - Bump minimum systemd for above patch
    - Drop build-dependencies only needed for obsolete pam-pin

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 25 Aug 2016 21:15:10 -0400

accountsservice (0.6.40-2ubuntu14) yakkety; urgency=medium

  * Build-depend on libgnutls28-dev instead of libgnutls-dev, which was
    never renamed in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 14 Jul 2016 18:19:03 -0700

accountsservice (0.6.40-2ubuntu13.1) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - use matching tags...

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 May 2016 17:03:31 +0200

accountsservice (0.6.40-2ubuntu13) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - restore the allow_active/inactive rules they are needed, fix regression
      where the user account panel can't change the user own image/name
      (lp: #1581567)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 May 2016 16:44:45 +0200

accountsservice (0.6.40-2ubuntu12) yakkety; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - updated to use allow_any=yes to avoid displaying unndeed dialog for
      remote sessions as well, thanks Alkis Georgopoulos
      (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 29 Apr 2016 16:15:39 +0200

accountsservice (0.6.40-2ubuntu10) xenial; urgency=medium

  * debian/patches/change-own-data-inactive.patch:
    - let inactive user sessions update their own datas without 
      triggering authentification dialogs. Indicator-messages does that to
      indicate to the greeter that the user received messages, which
      currently leads to auth dialog to be stacked in the locked session,
      thanks Alkis Georgopoulos (lp: #1512002)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 19 Apr 2016 11:23:47 +0200

accountsservice (0.6.40-2ubuntu9) xenial; urgency=medium

  * debian/patches/0005-gdm_config_file_path_ubuntu.patch:
    Copy patch from Debian packaging to correct the path to the
    GDM config file. (LP: #1547297)
  * debian/patches/0007-add-lightdm-support.patch:
    Update paths to gdm config directory

 -- Tim Lunn <tim@feathertop.org>  Wed, 06 Apr 2016 10:59:09 +1000

accountsservice (0.6.40-2ubuntu8) xenial; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make the language2locale script return a locale name also when
      the argument is a complete locale name including codeset
      (LP: #1556684).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 16 Mar 2016 12:42:00 +0100

accountsservice (0.6.40-2ubuntu7) xenial; urgency=medium

  * Drop 0014-pam-pin.patch and 0015-pam-pin-ubuntu.patch, along with
    the associated libpam-pin package.  Added a Breaks on the old
    package to get it off systems too.  These patches were from an
    upstream bug but they never made progress there.  And we never used
    the module in Ubuntu Touch like we planned either.  So I'm dropping
    it before the LTS is released.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 08 Jan 2016 12:38:51 -0500

accountsservice (0.6.40-2ubuntu6) xenial; urgency=high

  * Build-depend on libsystemd-dev, rather than split name dev packages.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 07 Dec 2015 09:59:29 +0000

accountsservice (0.6.40-2ubuntu5) wily; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Correction of a code inconsistency introduced in version
      0.6.40-2ubuntu2 (LP: #1502921).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 06 Oct 2015 06:51:00 +0200

accountsservice (0.6.40-2ubuntu4) wily; urgency=medium

  * debian/patches/0007-add-lightdm-support.patch:
    - Use [Seat:*] instead of deprecated [SeatDefaults]

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 14 Aug 2015 09:02:59 +1200

accountsservice (0.6.40-2ubuntu3) wily; urgency=medium

  * debian/control:
    - Switch build-depends from transitional libgcrypt11-dev to libgcrypt20-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Aug 2015 12:58:21 +1200

accountsservice (0.6.40-2ubuntu2) wily; urgency=medium

  * debian/patches/0009-language-tools.patch:
    - Make it possible to set the "Catalan - valencia" language from
      the Ubuntu GNOME GUI (LP: #1440275).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Mon, 29 Jun 2015 22:43:00 +0200

accountsservice (0.6.40-2ubuntu1) wily; urgency=medium

  * Merge with Debian, remaining Ubuntu changes (LP: #1466289):
  * debian/compat:
    - Use version 9.
  * debian/control:
    - Use debhelper version 9.
    - Add libpam-pin build-depends: dh-exec, libgcr-3-dev, libgcrypt11-dev,
      libgnutls-dev, libpam0g-dev.
    - Use multi-arch.
    - libaccountsservice-dev depends on gir1.2-accountsservice-1.0, not
      libgirepository1.0-dev.
    - Add libpam-pin package.
  * debian/rules:
    - Use -O1 instead of -O2 because it works around a problem with
      the manager object never reporting its readiness to users of
      libaccountsservice.  Hoping this fixes LP: #1351308
    - Don't multi-arch the libexec dir
  * debian/gir1.2-accountsservice-1.0.install:
  * debian/libaccountsservice-dev.install:
  * debian/libaccountsservice0.install:
    - Update for multiarch paths.
  * debian/accountsservice.postinst:
    - don't try restarting the service from the maintainer script after 
      upgrades.
  * debian/libaccountsservice0.symbols:
    - Add symbols added from patches.
  * libpam-pin.install:
    - Install PAM pin support from 0014-pam-pin.patch +
      0015-pam-pin-ubuntu.patch
  * debian/patches/0001-formats-locale-property.patch:
    - Addition of FormatsLocale property and SetFormatsLocale method.
  * debian/patches/0001-Move-cache-cleanup-out-into-a-common-function-and-cl.patch:
    - Move cache cleanup out into a common function and clean up icon too.
  * debian/patches/0002-create-and-manage-groups-like-on-a-ubuntu-system.patch:
    - Create and manage groups like on an Ubuntu system.
  * debian/patches/0002-On-startup-clean-out-the-data-of-removed-users.patch:
    - On startup, clean out the data of removed users.
  * debian/patches/0007-add-lightdm-support.patch:
    - Modified from Debian version.
  * debian/patches/0008-nopasswdlogin-group.patch:
    - When setting a user to have no password, also add them to the
      'nopasswdlogin' group.
  * debian/patches/0009-language-tools.patch:
    - Modified from Debian version.
  * debian/patches/0010-set-language.patch:
    - Save user language and regional formats settings to ~/.pam_environment.
  * debian/patches/0011-add-background-file-support.patch:
    - Add support for a BackgroundFile property, similar to IconFile.
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - Add XKeyboardLayouts property to report a user's keyboard layouts.
  * debian/patches/0013-add-has-message-support.patch:
    - Add XHasMessages property to report if a user had unread messages.
  * debian/patches/0014-pam-pin.patch:
    - Add PIN module for PIN codes.
  * debian/patches/0015-pam-pin-ubuntu.patch:
    - Ubuntu integration tweaks to PAM PIN module.
  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.
  * debian/patches/0020-support-login.defs.patch:
    - Revert upstream patch that dropped support for using login.defs
      to determine min and max UID for system users. We still want
      that support in at least Ubuntu Touch.
  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 23 Jun 2015 15:38:53 +1200

accountsservice (0.6.40-2) unstable; urgency=medium

  * Build docs unconditionally to prevent FTBFS.

 -- Alessio Treglia <alessio@debian.org>  Wed, 03 Jun 2015 11:56:11 +0100

accountsservice (0.6.40-1) unstable; urgency=medium

  * New upstream release (Closes: #787581):
    - Fix SIGSEGV with UID numbers larger than 2^31. (Closes: #759563)
  * Update patchset against new sources:
    - Refresh patches.
    - Drop 1001-buildsystem.patch, seems unnecessary.
  * Refresh libaccountsservice0.symbols.
  * Revert "Use ./autogen.sh in dh_autoreconf to fix binary-arch build
    failure".
  * Remove debian/clean to avoid deletion of gtk-doc.make.
  * Update debian/watch
  * Update Homepage
  * Bump Standards

 -- Alessio Treglia <alessio@debian.org>  Wed, 03 Jun 2015 08:28:07 +0100

accountsservice (0.6.37-3) unstable; urgency=medium

  * Do not override DefaultStandardOutput, it could be helpful for sysadmins
    to determine how output gets logged. Thanks to Josh Triplett for
    reporting this. (Closes: #741124)
  * Refresh 0009-language-tools.patch.
  * Enable 0009-language-tools.patch. (Closes: #756259)

 -- Alessio Treglia <alessio@debian.org>  Mon, 28 Jul 2014 11:43:01 +0100

accountsservice (0.6.37-2) unstable; urgency=medium

  * Point libglib2 build dependency at the proper version.
    Thanks to Breno Leitao for the report and patch. (Closes: #753415)

 -- Alessio Treglia <alessio@debian.org>  Thu, 10 Jul 2014 16:19:39 +0100

accountsservice (0.6.37-1ubuntu11) wily; urgency=medium

  * debian/patches/0010-set-language.patch:
    Use static variables inside user_get_fallback_value() to prevent
    execution of expensive code at each invocation (LP: #1443178).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Tue, 12 May 2015 16:17:00 +0200

accountsservice (0.6.37-1ubuntu10) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Nov 2014 08:07:26 -0800

accountsservice (0.6.37-1ubuntu9) utopic; urgency=high

  * No change rebuild against gnutls28.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 15 Aug 2014 22:48:15 +0100

accountsservice (0.6.37-1ubuntu8) utopic; urgency=medium

  * debian/rules:
    - Use -O1 instead of -O2 because it works around a problem with
      the manager object never reporting its readiness to users of
      libaccountsservice.  Hoping this fixes LP: #1351308

 -- Michael Terry <mterry@ubuntu.com>  Mon, 04 Aug 2014 20:07:12 -0400

accountsservice (0.6.37-1ubuntu7) utopic; urgency=medium

  * debian/patches/0022-fix-desktop-centric-polkit-policy.patch:
    - Change the polkit policy so accountsservice allows use of the
      DBus API by admin users that are not logged in via a monitor+keyboard.
      This includes users logged in via ssh. (LP: #1349813)

 -- Omer Akram <om26er@ubuntu.com>  Wed, 30 Jul 2014 10:24:09 -0500

accountsservice (0.6.37-1ubuntu6) utopic; urgency=medium

  * debian/patches/0021-support-extrausers.patch:
    - In addition to watching /etc/{passwd,shadow,group}, also watch those
      same files in /var/lib/extrausers/, if they exist.

 -- Michael Terry <mterry@ubuntu.com>  Fri, 18 Jul 2014 15:44:44 -0400

accountsservice (0.6.37-1ubuntu5) utopic; urgency=medium

  * debian/patches/0020-support-login.defs.patch:
    - Check for nobody and nfsnobody users - these accounts are > UID_MID

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 24 Jun 2014 15:26:16 +1200

accountsservice (0.6.37-1ubuntu4) utopic; urgency=medium

  * debian/patches/0020-support-login.defs.patch:
    - Don't use UID_MAX - all system users will be below UID_MIN and using
      UID_MAX hides valid users on systems with large UIDs (LP: #1290785)

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 24 Jun 2014 11:34:15 +1200

accountsservice (0.6.37-1ubuntu3) utopic; urgency=medium

  * debian/patches/0020-support-login.defs.patch:
    - Revert upstream patch that dropped support for using login.defs
      to determine min and max UID for system users.  We still want
      that support in at least Ubuntu Touch.

 -- Michael Terry <mterry@ubuntu.com>  Wed, 21 May 2014 12:16:14 -0400

accountsservice (0.6.37-1ubuntu2) utopic; urgency=medium

  * Merge changes from Debian to install systemd unit and use systemd
    debhelper sequence. (LP: #1321705)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 21 May 2014 13:29:14 +0100

accountsservice (0.6.37-1ubuntu1) utopic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    + debian/accountsservice.postinst:
      - don't try restarting the service from the maintainer script after 
        upgrades
    + Convert to Multi-Arch
    + Add libpam-pin package containing a PAM module for using a PIN code
    + Configure with --enable-systemd
    + Add patches; see their headers for descriptions.
      - 0001-formats-locale-property.patch
      - 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch
      - 0008-nopasswdlogin-group.patch
      - 0009-language-tools.patch
      - 0010-set-language.patch
      - 0011-add-background-file-support.patch
      - 0012-add-keyboard-layout-support.patch
      - 0013-add-has-message-support.patch
      - 0014-pam-pin.patch
      - 0015-pam-pin-ubuntu.patch
      - 2002-disable_systemd.patch
      - 0016-add-input-sources-support.patch
      - 0001-Move-cache-cleanup-out-into-a-common-function-and-cl.patch
      - 0002-On-startup-clean-out-the-data-of-removed-users.patch
    + Drop 1001-buildsystem.patch, no longer needed.
  * dh_autoreconf: run autogen.sh instead of autoreconf; fails with gtk-doc
    errors otherwise.

 -- Iain Lane <iain.lane@canonical.com>  Tue, 20 May 2014 11:23:06 +0100

accountsservice (0.6.37-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Drop 9001-memory_leaks.patch, no longer needed.
  * Disable 2001-filtering_out_users.patch, no longer applicable.
  * Update libaccountsservice0.symbols file.
  * Update debian/copyright.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Tue, 01 Apr 2014 14:41:18 +0100

accountsservice (0.6.35-0ubuntu7) trusty; urgency=medium

  * debian/patches/0007-add-lightdm-support.patch: 
    - updated to not keep polling on an inexistant gdm (or lightdm)
      configurations, fixed the code checking if gdm is running as well 
      (thanks Lars for hints on how to do that one correctly) (lp: #1234289)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 17 Jan 2014 18:09:20 +0100

accountsservice (0.6.35-0ubuntu6) trusty; urgency=low

  [ Tim Lunn ]
  * debian/gir1.2-accountsservice-1.0.install: Don't install typelib
    file to multiarch path (LP: #1260880)

  [ Rico Tzschichholz ]
  * Don't multiarch gir1.2-accountsservice-1.0 (LP: #1260604)
  * Add gir1.2-accountsservice-1.0 to libaccountsservice-dev depends.

 -- Tim Lunn <tim@feathertop.org>  Sat, 14 Dec 2013 09:38:23 +1100

accountsservice (0.6.35-0ubuntu5) trusty; urgency=low

  * debian/patches/0017-clean-up-cache-dir.patch:
    Remove only if errno is zero, and then remove the icon as well.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 12 Dec 2013 23:09:00 +0100

accountsservice (0.6.35-0ubuntu4) trusty; urgency=low

  * Remove pointless dependency on libgirepository1.0-dev.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 17:10:10 +0000

accountsservice (0.6.35-0ubuntu3) trusty; urgency=low

  * Bump debian/compat to 9.
  * Convert to multiarch (LP: #1260370).

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 12 Dec 2013 16:07:54 +0000

accountsservice (0.6.35-0ubuntu2) trusty; urgency=low

  [ Robert Ancell ]
  * debian/patches/0017-clean-up-cache-dir.patch:
    Remove user cache files if user account no longer exists
    (LP: #1259562).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 11 Dec 2013 14:22:00 +0100

accountsservice (0.6.35-0ubuntu1) trusty; urgency=low

  * New upstream version
  * Refreshed the patches
  * debian/control:
    - don't build-depends on valac
    - updated glib requirement
  * debian/libaccountsservice-dev.install:
    - don't install the vapi, upstream dropped it
  * debian/patches/git_hold_keyfiles.patch,
    debian/patches/git_custom_interfaces.patch,
    debian/patches/2001-filtering_out_users.patch:
    - dropped, the changes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 13 Nov 2013 15:15:40 +0100

accountsservice (0.6.34-2) unstable; urgency=low

  * Re-enable systemd support (Closes: #723857):
    - Revert "Disable systemd support:"
    - Revert "Strip SystemdService out of org.freedesktop.Accounts.service
      service file."
    - Enable systemd on Linux only.
    - Use dh-systemd.
    - If it is being used, let systemd handle restarting the daemon in
      maintscripts.
  * Fix various memory leaks. Thanks to Roberto Paleari for the bug
    report. (Closes: #723745)

 -- Alessio Treglia <alessio@debian.org>  Sat, 21 Sep 2013 22:56:06 +0100

accountsservice (0.6.34-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update symbols.

 -- Alessio Treglia <alessio@debian.org>  Tue, 02 Jul 2013 04:12:44 +0100

accountsservice (0.6.34-0ubuntu7) trusty; urgency=low

  * debian/patches/0009-language-tools.patch:
    Don't try to maintain a LANGUAGE priority list if
    language-selector-gnome is not present (LP: #1240058).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 03 Nov 2013 23:38:00 +0100

accountsservice (0.6.34-0ubuntu6) saucy; urgency=low

  * Fix various memory leaks. References:
    - https://bugzilla.redhat.com/show_bug.cgi?id=1000364
    - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=723745

 -- Alessio Treglia <quadrispro@ubuntu.com>  Sat, 21 Sep 2013 23:24:14 +0100

accountsservice (0.6.34-0ubuntu5) saucy; urgency=low

  * debian/patches/0016-add-input-sources-support.patch:
    - Store input sources in the user object.

 -- William Hua <william.hua@canonical.com>  Wed, 31 Jul 2013 12:44:00 -0400

accountsservice (0.6.34-0ubuntu4) saucy; urgency=low

  * Move gtk-doc-tools to Build-Depends from Build-Depends-Indep.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 29 Jul 2013 16:13:05 +0100

accountsservice (0.6.34-0ubuntu3) saucy; urgency=low

  * Merge some changes from Debian:
    - Bump build-deps on glib-2.0 >= 2.34.
    - Add gtk-doc-tools to Build-Depends-Indep.
    - Build libaccountsservice's documentation
    - Bump Standards
    - Fix VCS canonical URLs.
    - Refresh some patches
  * Don't build-depend on gnome-doc-utils

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 27 Jul 2013 23:18:48 -0400

accountsservice (0.6.34-0ubuntu2) saucy; urgency=low

  * debian/patches/0015-pam-pin-ubuntu.patch:
    - Split Ubuntu integration changes to 0014-pam-pin.patch out into a
      a separate patch to make it easier to update 0014 from the upstream
      bug as needed.
    - Fix setting password via DBus (LP: #1195021)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 03 Jul 2013 15:06:53 -0400

accountsservice (0.6.34-0ubuntu1) saucy; urgency=low

  * New upstream version
  * Refreshed patches
  * debian/libaccountsservice0.symbols:
    - updated for the new version (and some of the previous ones)
  * debian/patches/0014-pam-pin.patch:
    - updated to fix a double free issue
  * debian/patches/git_custom_interfaces.patch,
    debian/patches/git_hold_keyfiles.patch:
    - support for adding custom settings, thanks Ryan Lortie
  * debian/patches/2001-filtering_out_users.patch:
    - updated with a patch proposed upstream, thanks Ryan

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 26 Jun 2013 15:42:50 +0200

accountsservice (0.6.30-2) unstable; urgency=low

  * ACK NMU.
  * Upload to unstable.
  * Fix VCS canonical URLs.

 -- Alessio Treglia <alessio@debian.org>  Wed, 08 May 2013 08:06:25 +0200

accountsservice (0.6.30-1.1) experimental; urgency=low

  * Non-maintainer upload with maintainer approval.
  * Use ./autogen.sh in dh_autoreconf to fix binary-arch build failure

 -- Andreas Henriksson <andreas@fatal.se>  Mon, 25 Mar 2013 17:44:33 +0100

accountsservice (0.6.30-1) experimental; urgency=low

  * New upstream release:
    - Minor source clean ups
    - Crasher fix on 32bit systems (Closes: #694727)
    - Add get_user_by_id
    - Don't lose sessions list for users at startup
    - Add API for detecting when accountsservice is unavailable.
  * Refresh patches.
  * Refresh symbols.
  * Bump build-deps on glib-2.0 >= 2.34.
  * Add gtk-doc-tools to Build-Depends-Indep.
  * Build libaccountsservice's documentation. (Closes: #698290)
  * Enable hardening.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 14 Dec 2012 09:33:13 +0000

accountsservice (0.6.29-1ubuntu10) saucy; urgency=low

  * debian/patches/0014-pam-pin.patch:
    - Add experimental PAM module for PIN codes.  Patch mostly by
      Giovanni Campagna from upstream bug.  Ideally will be useful
      for phablets that want to show a PIN unlock screen.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 06 May 2013 21:17:43 -0400

accountsservice (0.6.29-1ubuntu9) saucy; urgency=low

  * Add git_logind_check.patch: Check for logind, not for systemd.
  * Switch from ConsoleKit to to logind.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 29 Apr 2013 11:24:49 -0700

accountsservice (0.6.29-1ubuntu8) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Take /usr/local/share/locale into account when generating the list
    of language options (LP: #1159496).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Fri, 29 Mar 2013 06:19:34 +0100

accountsservice (0.6.29-1ubuntu7) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    - Code for migration from ~/.profile to ~/.pam_environment dropped. This
      was done in 12.04 LTS already.
  * debian/patches/0010-set-language.patch:
    - Code for parsing /etc/default/locale made able to deal with both
      quoted and non-quoted entries (LP: #1159290).
    - Code for migration from ~/.profile to ~/.pam_environment dropped. This
      was done in 12.04 LTS already.
    - A couple of memory leaks fixed.

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Sun, 24 Mar 2013 20:33:00 +0100

accountsservice (0.6.29-1ubuntu6) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Set the PAPERSIZE env. variable in ~/.pam_environment, since
    LC_PAPER is ignored by many apps (LP: #1130690).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Thu, 21 Feb 2013 23:53:00 +0100

accountsservice (0.6.29-1ubuntu5) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Prevent language-options from listing items that don't correspond
    with an installed langpack, even if there is a matching locale
    (LP: #960314).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 30 Jan 2013 02:10:00 +0100

accountsservice (0.6.29-1ubuntu4) raring; urgency=low

  * debian/patches/0010-set-language.patch:
    Run user_HOME_available() as user in order to prevent incorrect
    failures when HOME is on NFS (LP: #1083605).

 -- Gunnar Hjalmarsson <gunnarhj@ubuntu.com>  Wed, 23 Jan 2013 08:19:27 -0500

accountsservice (0.6.29-1ubuntu3) raring; urgency=low

  [ Albert Astals Cid ]
  * debian/patches/0007-add-lightdm-support.patch:
    - Fix reporting of autologin setting for users when using lightdm
      (LP: #1043349)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 14:11:08 -0500

accountsservice (0.6.29-1ubuntu2) raring; urgency=low

  * debian/control: build-depends on valac

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Nov 2012 21:49:16 +0100

accountsservice (0.6.29-1ubuntu1) raring; urgency=low

  * Resync on Debian, remaining diffs:
  * debian/accountsservice.postinst:
    - don't try restarting the service from the maintainer script after 
      upgrades, it leads to some issues and shouldn't be needed since
      it will be dbus reactivated when needed (lp: #1021293)
  * debian/libaccountsservice-dev.install:
    - install vala directory
  * debian/patches/0001-formats-locale-property.patch:
    - readded bit of the patch that seems to not be in the debian version
  * debian/patches/0002-create-and-manage-groups-like-on-a-ubuntu-system.patch:
    - updated to gdbus
  * debian/patches/0005-gdm_config_file_path.patch
    - drop patch since it breaks setting automatic login. (LP: #1059090)
  * debian/patches/0007-add-lightdm-support.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0008-nopasswdlogin-group.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0009-language-tools.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0010-set-language.patch:
    - used Ubuntu version, they are slightly different
  * debian/patches/0011-add-background-file-support.patch:
    - updated for the gdbus codebase
  * debian/patches/0012-add-keyboard-layout-support.patch:
    - updated for the gdbus codebase
  * debian/patches/0013-add-has-message-support.patch:
    - updated for the gdbus codebase
  * debian/patches/git_correct_32bit_type.patch:
    - backport upstream fix for a 32bit segfault issue

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 19 Jul 2012 19:00:43 +0200

accountsservice (0.6.29-1) experimental; urgency=low

  * New upstream release:
    - Changes since 0.6.25:
      + Uninitialized variable fix
      + Typo fix
      + Create data dirs just-in-time
      + Ignore closing sessions for is_logged_in test
      + Disable NULL user for delete_user call
      + Translation updates
    - Changes since 0.6.26:
      + Require libsystemd-login 186
      + Protect against deleting root user
      + Add LoginTime and LoginHistory properties
      + fix crash consolekit code
      + fix has_multiple_user property after removing user
    - Changes since 0.6.27:
      + Fix warnings when the singleton user manager object is finalized
      + Generated docs for libaccountsservice
      + Initialize local_acount to TRUE
      + Add async api for user creation, caching and deletion
    - Changes since 0.6.28:
      + Fix act_user_manager_delete_user_finish
      + Fix handling of LoginTime and LoginHistory properties
    - Changes since 0.6.29:
      + Translate D-Bus errors to local errors in libaccountsservice
      + Fix a wrong property name n the login history support
  * Refresh patches.
  * Update symbols control file.
  * Don't build gtk-docs for now.

 -- Alessio Treglia <alessio@debian.org>  Thu, 11 Oct 2012 16:10:45 +0100

accountsservice (0.6.24-1) experimental; urgency=low

  * New upstream release:
    - add User.Local property for identifying local users
    - Fix up some debug output
    - add new CacheUser and UncacheUser apis
    - uncache user before deleting user
    - Correct CVE-2012-2737, local file disclosure
    - small memory leak fix
    - exclude system accounts from ListCachedUsers
    - make has-multiple-users properly only check non-system users
    - remove icon when deleting user
    - Revert usage of getpwent() as fallback for fgetpwent
    - support consolekit call cancellation to prevent crashes caused
      by shortlived sessions
  * Refresh patches, removed those applied upstream:
    - 9001-manage_pending_ck_calls_with_cancellable.patch
    - 9002-memory_leak_actuser.c
    - 9003-CVE-2012-2737.patch
  * Refresh symbols file.

 -- Alessio Treglia <alessio@debian.org>  Fri, 07 Sep 2012 18:53:51 +0200

accountsservice (0.6.21-8) unstable; urgency=low

  * debian/patches/0007-add-lightdm-support.patch
    - Properly set gdm3's configuration directory in order to
      fix autologin settings when gdm3 is used as default login
      manager. Thanks to Jean-Peer Lorenz (Closes: #680786)

 -- Alessio Treglia <alessio@debian.org>  Wed, 02 Jan 2013 13:45:12 +0000

accountsservice (0.6.21-7) unstable; urgency=low

  [ Simon McVittie ]
  * Don't free ActUserManagerNewSession objects until any pending
    asynchronous calls to set up the new session have completed or
    finished being cancelled (Closes: #688413, #683092)

 -- Alessio Treglia <alessio@debian.org>  Sat, 03 Nov 2012 11:16:15 +0000

accountsservice (0.6.21-6) unstable; urgency=high

  * CVE-2012-2737: Add patch to prevent race condition with UID
    lookup (Closes: #679429):
    - src/u{ser,til}.c: Use bus daemon to query peer credentials.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jul 2012 17:04:54 +0200

accountsservice (0.6.21-5) unstable; urgency=medium

  * Add patch grabbed from upstream git to fix memory leaks in
    src/libaccountsservice/act-user.c. Set urgency to medium since the
    package has already migrated to testing.

 -- Alessio Treglia <alessio@debian.org>  Sat, 23 Jun 2012 12:46:22 +0200

accountsservice (0.6.21-4) unstable; urgency=low

  * Manage pending consolekit calls with GtkCancellable to fix SIGSEGV
    in libaccountsservice. (Closes: #673185)

 -- Alessio Treglia <alessio@debian.org>  Wed, 13 Jun 2012 09:02:33 +0200

accountsservice (0.6.21-3) unstable; urgency=low

  * Strip SystemdService out of org.freedesktop.Accounts.service
    service file. (Closes: #675925)

 -- Alessio Treglia <alessio@debian.org>  Thu, 07 Jun 2012 15:09:19 +0200

accountsservice (0.6.21-2) unstable; urgency=low

  * Disable systemd support:
    - Let accountsservice build on non-Linux (Closes: #674433)
    - Attempt to solve #673185

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Jun 2012 22:59:49 +0200

accountsservice (0.6.21-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Add libaccountsservice-dbg package.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 May 2012 17:23:55 +0200

accountsservice (0.6.18-3) unstable; urgency=low

  * Revert upstream commit 552a0c856a6e3a7c2e6450ab80e79f4204062281
    and then fix a regression introduced since 0.6.16:
    - Filter out users which have UIDs lower than UID_MIN specified
      in etc/login.defs instead of checking if they have
      /usr/sbin/nologin as login shell. (Closes: #673095)
    Thanks to Michael Biebl for the report.

 -- Alessio Treglia <alessio@debian.org>  Wed, 16 May 2012 09:52:58 +0200

accountsservice (0.6.18-2) unstable; urgency=low

  * Upload to unstable.

 -- Alessio Treglia <alessio@debian.org>  Tue, 15 May 2012 07:48:08 +0200

accountsservice (0.6.18-1) experimental; urgency=low

  * Upload to experimental due to the big amount of changes.
  * Imported Upstream version 0.6.18:
    - Fix systemd configure check
    - Add a few more common system accounts to the blacklist
    - Fix some issues in systemd session handling
  * Imported Upstream version 0.6.17:
    - Fix user filtering which was broken in 0.6.16.
    - Fix double free in user code.
  * Imported Upstream version 0.6.16:
    - Don't filter out users below UID_MIN in login.defs
    - Filter out users with invalid shells
    - build fixes for srcdir != builddir
    - Port to GDBus
    - Add systemd support
    - vala support and introspection fixes
    - ppc32 fixes
    - use infinite timeout for ListCachedUsers calls
    - Translation updates
  * Migrate 0007-add-lightdm-support.patch to GDBus:
    - More testing would be appreciated.
  * Remove 2001-icon_reset.patch, applied upstream.
  * Remove 3001-show_more_than_one_user_powerpc.patch, applied upstream.
  * Remove obsolete patches:
    - 0003-getpwnam_null_crash.patch
    - 0004-history-filter-sessions.patch
  * Refresh systemd's build-deps.
  * Drop {,build-}dependency on libdbus-glib-1-dev.
  * Refresh symbols.
  * Refresh debian/copyright.
  * Update debian/watch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Mon, 30 Apr 2012 13:19:46 +0200

accountsservice (0.6.15-4) unstable; urgency=low

  * src/user.c: Be more careful when resetting the users icons
    - When the current icon is in /usr/share, and we reset the icon, we try
      to delete a nonexisting icon file in /var/lib/AccountsService/icons.
      Deal with this eventuality.
  * fix compute_object_path on powerpc (Closes: #635168)
    - long isn't necessarily 64bit.  On big endian architectures, where it's
      smaller than 64bit, the compute_object_path function will get computed
      incorrectly; thanks to Ray Strode and Michel Dänzer.
  * Apply 2001-icon_reset.patch,3001-show_more_than_one_user_powerpc.patch on
    Ubuntu too.
  * Integrate Ubuntu patches and apply them in debian/patches/ubuntu.series
    (for Ubuntu only):
    - 0001-formats-locale-property.patch
    - 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch
    - 0005-gdm_config_file_path_ubuntu.patch
    - 0008-nopasswdlogin-group.patch
    - 0009-language-tools.patch
    - 0010-set-language.patch
    - 0011-add-background-file-support.patch
    - 0012-add-keyboard-layout-support.patch
    - 0013-add-has-message-support.patch

 -- Alessio Treglia <alessio@debian.org>  Sun, 19 Feb 2012 00:37:07 +0100

accountsservice (0.6.15-3) unstable; urgency=low

  * Move GIR package into the new section "introspection".
  * debian/patches/0011-add-background-file-support.patch
    - Add support for a BackgroundFile property, similar to IconFile.
      Apply on Ubuntu only. (LP: #844081)
  * Fix file permissions bypass (LP: #904395), applies on Ubuntu only:
    - debian/patches/0010-set-language.patch:
      Drop privileges before letting help scripts in
      /usr/share/language-tools write to $HOME.
    - debian/patches/0009-language-tools.patch:
      Drop chown() call in /usr/share/language-tools/save-to-profile.
      CVE-2011-4406
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Tue, 31 Jan 2012 17:41:50 +0100

accountsservice (0.6.15-2) unstable; urgency=low

  [ Gunnar Hjalmarsson ]
  * 0009-language-tools.patch: Sort the list of language options, for the
    language chooser in LightDM (LP: #868346).

  [ Martin Pitt ]
  * 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch: Use "sudo"
    group instead of "admin", for Debian/sudo compatibility. However, keep
    recognizing "admin" as administrator, too. (LP: #893842)

 -- Martin Pitt <mpitt@debian.org>  Fri, 25 Nov 2011 08:28:18 +0100

accountsservice (0.6.15-1) unstable; urgency=low

  [ Alessio Treglia ]
  * New upstream release:
    - fix build on FreeBSD and OpenBSD
    - only accept regular files as icons
    - don't track non-graphical sessions
    - fix wtmp handling
  * Refresh Debian's patches.
  * Refresh Ubuntu's patches.
  * Update debian/copyright to comply with DEP-4 rev-174.

  [ Martin Pitt ]
  * 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch: Add admin
    users to the same groups as Ubiquity, i. e. add "adm", "lpadmin", and
    "sambashare". Patch by Rodrigo Moya. (LP #810907)
  * Add 0007-add-lightdm-support.patch: Support setting/reading LightDM
    autologin settings. Patch by Mike Terry. Applied to both Debian and Ubuntu
    builds. (fd.o #40020, LP#798962)
  * Add 0008-nopasswdlogin-group.patch: When setting a user to have no
    password, also add them to the 'nopasswdlogin' group. Patch by Mike Terry.
    (Applied for Ubuntu only.) (LP #815271)
  * Add 0009-language-tools.patch: Helper scripts for managing the language
    environment are made available in /usr/share/language-tools. They are
    supporting accountsservice's "SetLanguage" method, but for now some of the
    files may also be called from other packages directly. Patch by Gunnar
    Hjalmarsson. (Applied for Ubuntu only.)
  * Add 0010-set-language.patch: When a new language is set, update the user's
    ~/.profile file with the corresponding environment variables.
    Patch by Gunnar Hjalmarsson. (Applied for Ubuntu only.)
  * debian/rules: Install language tools, when built.
  * 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch:
    - Add admin users to the same groups as Ubiquity, i. e. add "adm",
      "lpadmin", and "sambashare". Patch by Rodrigo Moya. (LP #810907)
  * Add 0008-nopasswdlogin-group.patch: When setting a user to have no
    password, also add them to the 'nopasswdlogin' group. Patch by Mike
    Terry. (Applied for Ubuntu only.) (LP #815271)
  * Add Ubuntu patches for writing "SetLanguage" values to ~/.profile.
  * Add 0007-add-lightdm-support.patch: Support setting/reading LightDM
    autologin settings. Patch by Mike Terry. Applied to both Debian and Ubuntu
    builds. (fd.o #40020, LP#798962)

 -- Alessio Treglia <alessio@debian.org>  Tue, 18 Oct 2011 21:50:35 +0200

accountsservice (0.6.14-1) unstable; urgency=low

  * New upstream release:
    - ignore extraneous SetAutomaticLogin(false) calls for a user
    - monitor /etc/gdm/custom.conf for changes in autologin config
    - fix fast user switching
    - fix docs to build
    - translation updates
  * Refresh Debian's series of patches.
  * Refresh Ubuntu's series of patches.

 -- Alessio Treglia <alessio@debian.org>  Mon, 05 Sep 2011 23:55:45 +0200

accountsservice (0.6.13-1) unstable; urgency=low

  * New upstream release:
    - honor aclocal flags environment variable
    - set log domain so it can be hushed
    - use wtmp instead of consolekit for determining login frequency
      + Use the POSIX wtmpx database instead of ConsoleKit as source for
        calculating login frequency. This is more portable and much
        simpler. Also, it allows us to prepare accountsservice for the
        post-CK times. (upstream bug: https://bugs.freedesktop.org/39295)
    - leak and warning fixes
    - clean up polkit deprectation warnings
    - add '--' before username to account helper programs
  * Dropped patches (they don't apply for now):
    - 0001-do-not-consider-system-users-returned-from-consolekit.patch
    - 0003-getpwnam_null_crash.patch
    - 0004-history-filter-sessions.patch
  * Refreshed:
    - 0002-create-and-manage-groups-like-on-a-{debian,ubuntu}-system.patch
    - 0005-gdm_config_file_path.patch
  * Update symbols.
  * debian/patches/0006-adduser_instead_of_useradd.patch
    - Replace useradd with adduser to comply with Debian Policy.
      In collaboration with Ubuntu, thanks to Sebastien Bacher and other
      Ubuntu guys (LP: #810907).
  * Remove the dummy package gir1.2-accountservice-1.0, the previous version
    has already reached Wheezy and there is no reverse dependencies.

 -- Alessio Treglia <alessio@debian.org>  Mon, 25 Jul 2011 12:17:33 +0200

accountsservice (0.6.12-5) unstable; urgency=low

  [ Martin Pitt ]
  * debian/control: Add missing Breaks/Replaces: to
    gir1.2-accountsservice-1.0 for the package renaming.

 -- Alessio Treglia <alessio@debian.org>  Sat, 09 Jul 2011 09:18:25 +0200

accountsservice (0.6.12-4) unstable; urgency=low

  * Fix mistake in the name of a runtime package:
    - Rename gir1.2-accountservice-1.0 to gir1.2-accountsservice-1.0.
    - Introduce a transitional dummy package for a tiny-and-smooth transition.
  * Enable parallel building.

 -- Alessio Treglia <alessio@debian.org>  Thu, 30 Jun 2011 10:38:40 +0200

accountsservice (0.6.12-3) unstable; urgency=low

  * Add accountsservice.{postinst,prerm} scripts to properly shut down
    the daemon on package upgrade and removal (Closes: #630577);
    thanks to Rodrigo Moya for the patch.

 -- Alessio Treglia <alessio@debian.org>  Thu, 16 Jun 2011 11:09:34 +0200

accountsservice (0.6.12-2) unstable; urgency=low

  * Disable 0005-gdm_config_file_path.patch in debian/patches/ubuntu.series as
    it doesn't apply to Ubuntu.
  * On Ubuntu apply 0002-create-and-manage-groups-like-on-a-ubuntu-system.patch
    instead of 0002-create-and-manage-groups-like-on-a-debian-system.patch

 -- Alessio Treglia <alessio@debian.org>  Sun, 05 Jun 2011 12:40:37 +0200

accountsservice (0.6.12-1) unstable; urgency=low

  * New upstream bugfix release.
  * Update symbols.
  * Fix path to the GDM configuration file, which is different
    in Debian (Closes: #627311).
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Sun, 22 May 2011 10:21:10 +0200

accountsservice (0.6.10-1) unstable; urgency=low

  * New upstream release:
    - An assortment of race fixes.
    - Translation updates.

 -- Alessio Treglia <alessio@debian.org>  Sat, 07 May 2011 13:02:07 +0200

accountsservice (0.6.9-2) unstable; urgency=low

  * Small change to reload_ck_history in order to make accountsservice
    filter by 'x11' session type (Closes: #624474);
    thanks to Josselin Mouette for the report and patch.
  * Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Thu, 28 Apr 2011 20:03:07 +0200

accountsservice (0.6.9-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.
  * Update symbols file.

 -- Alessio Treglia <alessio@debian.org>  Tue, 26 Apr 2011 08:20:11 +0200

accountsservice (0.6.8-2) unstable; urgency=low

  * Upload to unstable.
  * Add patch to prevent crash due to getpwnam returning a NULL pointer.
    Thanks to Mattias Eriksson for the patch.
  * Add symbols file.

 -- Alessio Treglia <alessio@debian.org>  Thu, 14 Apr 2011 11:01:37 +0200

accountsservice (0.6.8-1) experimental; urgency=low

  * Imported Upstream version 0.6.8.
  * Refresh patches.

 -- Alessio Treglia <alessio@debian.org>  Fri, 08 Apr 2011 09:51:48 +0200

accountsservice (0.6.6-4) experimental; urgency=low

  [ Josselin Mouette ]
  * 0002-create-and-manage-groups-like-on-a-debian-system.patch:
    - fixed  to not add user to useless group, and to use sudo instead of
      admin (Closes: #619914).

 -- Alessio Treglia <alessio@debian.org>  Tue, 29 Mar 2011 11:44:39 +0200

accountsservice (0.6.6-3) experimental; urgency=low

  * Pass systemd unit dir to the configure script to properly provide
    service file (Closes: #619796); thanks to Alban Browaeys for the
    report.

 -- Alessio Treglia <alessio@debian.org>  Sun, 27 Mar 2011 10:11:39 +0200

accountsservice (0.6.6-2) experimental; urgency=low

  * Rename 0001-buildsystem.patch -> 1001-buildsystem.patch
  * Match Debian user/groups system;
    thanks to Frederic Peters for the patchset (Closes: #618764):
    - 0001-do-not-consider-system-users-returned-from-consolekit.patch.
    - 0002-create-and-manage-groups-like-on-a-debian-system.patch.

 -- Alessio Treglia <alessio@debian.org>  Sat, 19 Mar 2011 10:39:28 +0100

accountsservice (0.6.6-1) experimental; urgency=low

  * New upstream release.

 -- Alessio Treglia <alessio@debian.org>  Fri, 18 Mar 2011 10:28:02 +0100

accountsservice (0.6.5-2) experimental; urgency=low

  * Switch libaccountsservice-dev to architecture 'any';
    also closes: #618643.

 -- Alessio Treglia <alessio@debian.org>  Thu, 17 Mar 2011 11:20:19 +0100

accountsservice (0.6.5-1) experimental; urgency=low

  * New upstream release.
  * Update build-dependencies.
  * Switch to dh-autoreconf.
  * Provide po/Makefile.in.in
  * Don't build static libraries
  * Split files in several packages:
    - accountsservice to provide the runtime service files.
    - libaccountsservice0 to provide the shared libraries.
    - libaccountsservice-dev to provide the development files.
    - gir1.0-accountservice-1.0 to provide GObject introspection
      data files.

 -- Alessio Treglia <alessio@debian.org>  Sun, 13 Mar 2011 11:10:25 +0100

accountsservice (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #606002).

 -- Alessio Treglia <alessio@debian.org>  Mon, 17 Jan 2011 10:14:35 +0100
